package com.sa.ibiz.demo.demo.service.impl;

import java.util.List;
import javax.annotation.Resource;
import org.springframework.stereotype.Service;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.sa.ibiz.demo.demo.mapper.KQMapper;
import com.sa.ibiz.demo.demo.domain.KQ;
import com.sa.ibiz.demo.demo.service.KQService;
import com.sa.ibiz.demo.ibizutil.service.ServiceImplBase;
import com.sa.ibiz.demo.demo.service.dto.KQSearchFilter;
import org.springframework.util.DigestUtils;
import org.springframework.util.StringUtils;
import java.util.UUID;
import java.util.Map;
import org.springframework.beans.factory.annotation.Autowired;
import java.util.TreeMap;
import java.util.regex.Matcher;
import java.util.regex.Pattern;
import java.math.BigInteger;
import com.sa.ibiz.demo.ibizutil.annotation.PreField;
import java.lang.reflect.Field;


/**
 * 实体[KQ] 服务对象接口实现
 */
@Service
public class KQServiceImpl extends ServiceImplBase<KQMapper, KQ> implements KQService{


    @Resource
    private KQMapper kqMapper;


    @Override
    public boolean create(KQ et) {
        this.beforeCreate(et);
         return super.create(et);
    }
    @Override
    public boolean update(KQ et){
        this.beforeUpdate(et);
		this.kqMapper.updateOne(et);
		this.get(et);
		return true;
    }

    public Object getEntityKey(KQ et){
		return et.getKqid();  
    }

    @Override
    public boolean getDraft(KQ et)  {
            return true;
    }

	public List<KQ> listDefault(KQSearchFilter filter) {
		return kqMapper.searchDefault(filter,filter.getSelectCond());
	}

	public Page<KQ> searchDefault(KQSearchFilter filter) {
		return kqMapper.searchDefault(filter.getPage(),filter,filter.getSelectCond());
	}

    public  List<Map<String,Object>> selectRow(String sql){
       return kqMapper.selectRow(sql);
    }

 }